package info.aspirecn.iov.yysj.product.check.common;

import lombok.extern.slf4j.Slf4j;

import javax.servlet.http.HttpServletRequest;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.List;

@Slf4j
public class CommonUtil {
    private static List<String> allowUrls=null;
    //获取请求内容
    public static String getBody(HttpServletRequest request){
        String bodyStr =null;
        try {
            StringBuffer body = new StringBuffer();
            BufferedReader bufferedReader = new BufferedReader(
                    new InputStreamReader(request.getInputStream(), "utf-8")); // 读取参数流
            String nextLine = bufferedReader.readLine();
            while (nextLine != null) {
                body.append(nextLine);
                nextLine = bufferedReader.readLine();
            }
            bodyStr = body.toString();
            if (bodyStr == null || bodyStr.length() <= 0) {
                log.error("请求参数为空,bodyStr:{}",bodyStr);
            }
        }catch (Exception ex){
            log.error("获取参数异常,ex:{}",ex);
        }
        return  bodyStr;
    }
}
